## net.sf.saxon.regex
Class RegexTranslator.Range

    java.lang.Object
      net.sf.saxon.regex.RegexTranslator.Range

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  RegexTranslator

    public static final class RegexTranslator.Range

extends java.lang.Object
implements java.lang.Comparable

A Range represents a range of consecutive Unicode codepoints

Constructor Summary
`RegexTranslator.Range(int min, int max)` Create a range of unicode codepoints

Method Summary
`int` `compareTo(java.lang.Object o)` Compare this range with another range for ordering purposes.
`int` `getMax()` Get the end of the range
`int` `getMin()` Get the start of the range

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTranslator.Range

    public RegexTranslator.Range(int min,
                                 int max)

  Create a range of unicode codepoints

  Parameters:
    `min` - the first codepoint in the range
    `max` - the last codepoint in the range

Method Detail

### getMin

    public int getMin()

  Get the start of the range

  Returns:
    the first codepoint in the range

### getMax

    public int getMax()

  Get the end of the range

  Returns:
    the last codepoint in the range

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this range with another range for ordering purposes. If the two ranges have different start points, the order is the order of the start points; otherwise it is the order of the end points.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the other range
  Returns:
    -1 if this range comes first, +1 if the other range comes first, 0 if they are equal (start and end both equal)

Copyright (c) Saxonica Limited. All rights reserved.